<?php
require("../adei.php");

header("Content-type: application/json");
header("Cache-Control: no-cache, must-revalidate");
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");


try {
    $req = new DATARequest();
    $draw = $req->CreatePlotter();
    $legend = $draw->Legend();
} catch(ADEIException $ex) {
    $ex->logInfo(NULL, $draw);
    $error = $ex->getInfo();
}



if ($error) {
    echo json_encode(array("error" => $error));
} else {
    if ($draw) {
	echo json_encode(array_merge(array(
	    "error" => 0,
	), $legend));
    } else {
	echo json_encode(array("error" => 0));
    }
}


?>